<?php
/**
 * Utilisations de pipelines par Historique connexions
 *
 * @plugin     Historique connexions
 * @copyright  2020
 * @author     RealET
 * @licence    GNU/GPL
 * @package    SPIP\Histoconnexions\Pipelines
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

function histoconnexions_affiche_droite($flux) {
	if ($flux['args']['exec'] !== 'auteurs') return $flux;
	
	include_spip('inc/autoriser');
	if (!autoriser('configurer', 'plugins')) return $flux;

	include_spip('inc/presentation');	
	include_spip('public/assembler');

	$webmestres = recuperer_fond('fonds/webmestres_site');
	$webmestres = cadre_depliable(find_in_path('prive/themes/spip/images/histoconnexions-24.png'), _T('histoconnexions:webmestres'), false, $webmestres, 'bp_infos_webmasters', 'info');
	$flux['data'] .= $webmestres;
	
	$connectes = recuperer_fond('fonds/derniers_connectes', array(), array('ajax' => true));
	$connectes = cadre_depliable(find_in_path('prive/themes/spip/images/histoconnexions-24.png'), _T('histoconnexions:connections'), false, $connectes, 'bp_infos_connection', 'info');
	$flux['data'] .= $connectes;

	return $flux;
}